
import { createRouter, createWebHistory } from "vue-router";
import Home from "../pages/Home";
import Login from "../pages/Login";
import LifeNo from '../pages/Life-no/index.vue'
import LifeNoDetail from '../pages/Life-no/life-no-detail.vue'
import UserDetail from '../pages/User/user-detail.vue'
import AddRole from '../pages/Role/add-role.vue'


const routes = [
  {
    path: "/home",
    name: "Home",
    component: Home,
  },
  {
    path: "/login",
    name: "Login",
    component: Login,
  },
  {
    path: "/about",
    name: "About",
    component: () => import(/* webpackChunkName: "about" */ "../pages/About"),
  },
  //生活号管理
  {
    path: '/life-no/life',
    name: 'LifeNo',
    component: LifeNo,
  },
  {
    path: '/life-no/lifeNoDetail',
    name: 'LifeNoDetail',
    component: LifeNoDetail,
  },
  //用户管理
  {
    path: '/user/userDetail',
    name: 'UserDetail',
    component: UserDetail,
  },
  //角色管理
  {
    path: '/role/addRole',
    name: 'AddRole',
    component: AddRole,
  },
];

const router = createRouter({
  history: createWebHistory("/app/op-management"),
  routes,
});

export default router;
